﻿/*
 * config.h
 *
 *  Created on: 25/03/2013
 *      Author: Jordi Fenés
 */

#ifndef CONFIG_H_
#define CONFIG_H_

/*********************************************************************
**
**  Definicions Base per debug i control de les operacions fetes.
**
*********************************************************************/
#define LOG_DBG		3
#define LOG_INFO	2
#define LOG_WARN	1
#define LOG_ERR		0

#define LOG			(LOG_DBG)

/*********************************************************************
**
** Definicions Base per al codi dels fitxers :
** uart.c, printf.c, wifly.c, arpalab.c, web.c, logutil.c i sensor.c
**
*********************************************************************/
//  For uart.c, printf.c, wifly.c, arpalab.c, web.c i sensor.c
#define TERSIZE		16
#define REDSIZE		64
#define LOWSIZE		128
#define MINSIZE		384
#define TIPSIZE		512
#define MAXSIZE		1024
#define SUPERSIZE	2048

#define UART0		0
#define UART1		1
#define UART2		2
#define UART3		3

#define BR_96	 	9600
#define BR_192	 	19200
#define BR_384	 	38400
#define BR_576	 	57600
#define BR_1152	 	115200

//  For wifly.c, arpalab.c i web.c
#define HTTP		"80"
#define ALTER		"8080"
#define TELNET		"23"
#define OTHER		"20"

#define WEB1		"HTTP/1.0"
#define WEB2		"HTTP/1.1"

//  For logutil.c

/*********************************************************************
**
** Parametres modificables segons les necessitats
**
*********************************************************************/
#define UART_DBG		(UART3)
#define UART_SEN		(UART1)
#define UART_WF			(UART0)

#define BR_DBG			(BR_1152)
#define BR_SEN			(BR_96)
#define BR_WF			(BR_1152)

#define DELAY			(TASK)
#define LOCK			(LOCK_MUTEX)

#define GETSIZE			(MINSIZE)  // Define buffer for WiFly Received Data
#define SENDSIZE		(LOWSIZE)  // Define buffer for WiFly Data to Send
#define BUFSIZE 		(REDSIZE)  // Define buffer base for UART

#define WEB				(WEB2)
#define NETPORT			(HTTP)

/* For use when the system process fail */
#define REINICI			0
#define APAGAR			1

#endif /* CONFIG_H_ */
