/*
 * logutil.h
 *
 *  Created on: 15/05/2013
 *      Author: Jordi Fenés
 */

#ifndef LOGUTIL_H_
#define LOGUTIL_H_

#define LOCK_NONE	0  // Not used Block
#define LOCK_TASK	1  // Used for Block with vTaskSuspend
#define LOCK_MUTEX	2  // Used for Block with Semaphore (Normal -> Printf, Recursive -> Wifly, sensor)

#define BRUTE		0  // Used for Active Delay
#define TASK		1  // User for Passive Delay

#define SEM_B		0  // Used for Semaphore Binary
#define SEM_N		1  // Used for Semaphore Normal
#define SEM_R1		2  // Used for Semaphore Recursive 1
#define SEM_R2		3  // Used for Semaphore Recursive 2

void Lock_Task(uint8_t Tipus);
void UnLock_Task(uint8_t Tipus);
void Delay_Ms(uint8_t base, uint32_t ms);
void Log_Mode(uint8_t Mode, uint8_t Res, char *Fun);
void Log_T_Print(uint8_t Mode, uint8_t Res, char *Fun, char *Text);
void Log_TT_Print(uint8_t Mode, uint8_t Res, char *Fun, char *Text, char *Word);
void Log_TN_Print(uint8_t Mode, uint8_t Res, char *Fun, char *Text, int32_t Value);

#endif /* LOGUTIL_H_ */
