/*
 * wifly.h
 *
 *  Created on: 23/03/2013
 *      Author: Jordi Fenés
 */

#ifndef WIFLY_H_
#define WIFLY_H_

#define WIFLY_PIN_RST 	22

#define OPEN		 	0
#define WEP128		 	1
#define WPA1		 	2
#define MIX			 	3
#define WPA2		 	4
#define ADHOC		 	6
#define WPE64		 	8

#define NORMAL		 	0
#define COMMAND		 	1

void Wifly_Sleep(uint8_t PortNum);
void Wifly_WakeUp(uint8_t PortNum);
uint8_t Wifly_Reset(uint8_t PortNum);
uint8_t Wifly_Init(uint8_t PortNum, uint32_t Baudrate);
uint8_t Wifly_End(uint8_t PortNum);
uint8_t Wifly_Read(uint8_t PortNum, char *Check, uint32_t Time);
uint8_t Wifly_Set_OK(uint8_t PortNum, char *Comand, uint32_t Time);
uint8_t Wifly_Set_TT_OK(uint8_t PortNum, char *Comand, char *Value, uint32_t Time);
uint8_t Wifly_Set_TN_OK(uint8_t PortNum, char *Comand, int32_t Num, uint32_t Time);
uint8_t Wifly_Set_Check(uint8_t PortNum, char *Comand, char *Check, uint32_t Time);
uint8_t Wifly_Set_TT_Check(uint8_t PortNum, char *Comand, char *Value, char *Check, uint32_t Time);
uint8_t Wifly_CMD(uint8_t PortNum);
uint8_t Wifly_Exit(uint8_t PortNum);
uint8_t Wifly_Open(uint8_t PortNum, char *Address);
uint8_t Wifly_Close(uint8_t PortNum);
uint8_t Wifly_Save(uint8_t PortNum);
uint8_t Wifly_Reboot(uint8_t PortNum);
uint8_t Wifly_Connect(uint8_t PortNum, uint8_t Mode, char *ssid, char* Phrase);
uint8_t Wifly_AutoConnect(uint8_t PortNum, uint8_t Mode, char *ssid, char* Phrase);
uint8_t Wifly_FixIP(uint8_t PortNum, char *IP, char *Mask, char* GW);
uint8_t Wifly_Disconnect(uint8_t PortNum);
uint8_t Wifly_Ping(uint8_t PortNum, char *Address);
uint8_t Wifly_IP(uint8_t PortNum);
uint8_t Wifly_CheckIP(uint8_t PortNum, char *IP);
uint8_t Wifly_Channel(uint8_t PortNum);
int32_t Wifly_RSSI(uint8_t PortNum);
int32_t Wifly_UpTime(uint8_t PortNum);
uint8_t Wifly_GetPower(uint8_t PortNum);
uint8_t Wifly_SetPower(uint8_t PortNum, uint32_t Value);
uint8_t Wifly_ChangeBR(uint8_t PortNum, int32_t Value);
uint8_t Wifly_GET_Telnet(uint8_t PortNum, char *Host, char *Param);
uint8_t Wifly_GET_Base(uint8_t PortNum, char *Host, char *Param);
uint8_t Wifly_Web(uint8_t PortNum, char *Host, char *Param,  char **RecBuf);

#endif /* WIFLY_H_ */
